Package generic.theme

# Class ThemePropertyFileReader

java.lang.Object
generic.theme.AbstractThemeReader
generic.theme.ThemePropertyFileReader

public class ThemePropertyFileReader extends AbstractThemeReader
Reads the values for a single theme.properities file

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class generic.theme.AbstractThemeReader

  `AbstractThemeReader.Section`

- ## Field Summary

  ### Fields inherited from class generic.theme.AbstractThemeReader

  `source`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `ThemePropertyFileReader(ResourceFile file)`
  Constructor for when the the theme.properties file is a `ResourceFile`
  `protected`
  `ThemePropertyFileReader(String source, Reader reader)`
  Constructor using a Reader (needed for reading from zip files).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GThemeValueMap`
  `getDarkDefaultValues()`
  Returns the map of dark defaults values.
  `GThemeValueMap`
  `getDefaultValues()`
  Returns the map of standard defaults values.
  `Map<LafType,GThemeValueMap>`
  `getLookAndFeelSections()`
  Returns a map of all the custom (look and feel specific) value maps
  `protected void`
  `processCustomSection(AbstractThemeReader.Section section)`
  `protected void`
  `processDarkDefaultSection(AbstractThemeReader.Section section)`
  `protected void`
  `processDefaultSection(AbstractThemeReader.Section section)`
  `protected void`
  `processNoSection(AbstractThemeReader.Section section)`

  ### Methods inherited from class generic.theme.AbstractThemeReader

  `error, getErrors, outputError, processValues, read`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ThemePropertyFileReader

    public ThemePropertyFileReader(ResourceFile file) throws IOException
    Constructor for when the the theme.properties file is a `ResourceFile`
    Parameters:
      `file` - the `ResourceFile` esourceFileto read
    Throws:
      `IOException` - if an I/O error occurs reading the file

  - ### ThemePropertyFileReader

    protected ThemePropertyFileReader(String source, Reader reader) throws IOException
    Constructor using a Reader (needed for reading from zip files).
    Parameters:
      `source` - the name or description of the Reader source
      `reader` - the `Reader` to parse as theme data
    Throws:
      `IOException` - if an I/O error occurs while reading from the Reader

- ## Method Details

  - ### getDefaultValues

    public GThemeValueMap getDefaultValues()
    Returns the map of standard defaults values.
    Returns:
      the map of standard defaults values.

  - ### getDarkDefaultValues

    public GThemeValueMap getDarkDefaultValues()
    Returns the map of dark defaults values.
    Returns:
      the map of dark defaults values.

  - ### getLookAndFeelSections

    public Map<LafType,GThemeValueMap> getLookAndFeelSections()
    Returns a map of all the custom (look and feel specific) value maps
    Returns:
      a map of all the custom (look and feel specific) value maps

  - ### processNoSection

    protected void processNoSection(AbstractThemeReader.Section section) throws IOException
    Specified by:
      `processNoSection` in class `AbstractThemeReader`
    Throws:
      `IOException`

  - ### processDefaultSection

    protected void processDefaultSection(AbstractThemeReader.Section section) throws IOException
    Specified by:
      `processDefaultSection` in class `AbstractThemeReader`
    Throws:
      `IOException`

  - ### processDarkDefaultSection

    protected void processDarkDefaultSection(AbstractThemeReader.Section section) throws IOException
    Specified by:
      `processDarkDefaultSection` in class `AbstractThemeReader`
    Throws:
      `IOException`

  - ### processCustomSection

    protected void processCustomSection(AbstractThemeReader.Section section) throws IOException
    Specified by:
      `processCustomSection` in class `AbstractThemeReader`
    Throws:
      `IOException`